> # NAME

> cgGetFirstStructParameter - get the first child parameter from a struct parameter

> # SYNOPSIS

>       #include <Cg/cg.h>

>       CGparameter cgGetFirstStructParameter( CGparameter param );

> # PARAMETERS

> param

>   Specifies the struct parameter. This parameter must be of type CG_STRUCT (returned by cgGetParameterType).

> # RETURN VALUES

> Returns a handle to the first member parameter.

> Returns NULL if param is not a struct or if some other error occurs.

> # DESCRIPTION

> cgGetFirstStructParameter returns the first member parameter of a struct parameter. The rest of the members may be retrieved from the first member by iterating with cgGetNextParameter.

> # EXAMPLES

> to-be-written

> # ERRORS

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_INVALID_PARAMETER_TYPE_ERROR is generated if param is not a struct parameter.

> # HISTORY

> cgGetFirstStructParameter was introduced in Cg 1.1.

> # SEE ALSO

> cgGetNextParameter, cgGetFirstParameter